#ifndef _STRING_MAP_H_
#   define _STRING_MAP_H_

class StringMap
{
   public:
      enum { DEFAULT_SIZE = 101 };

      StringMap(int size = DEFAULT_SIZE);
      ~StringMap();
      void put(const char *key, void *value);
      void *get(const char *key);

      static int main(int argc, char **argv);

   private:
      int getHashCode(const char *key);

      StringMap(const StringMap &);
      StringMap &operator=(const StringMap &);

      class Entry;

      int mSize;
      Entry **mEntries;
};

#endif
